Subject: Re: [X2Go-Dev] Bug#108: Can we close #108?

From: Michael DePaulo <[email-masked]>
Date: Mon, 30 Jun 2014 08:39:49 -0400

On Mon, Jun 30, 2014 at 4:13 AM, Mike Gabriel
<[email-masked]> wrote:
> Hi Michael,
>
>
> On  Mo 30 Jun 2014 05:49:56 CEST, Michael DePaulo wrote:
>
>> a. Determine why the fonts are needed by some Linux applications, but
>> not others.
>> b. Determine what the default should be (I am leaning towards the
>> "misc" set. Empirically, it solves the compatibility problems for most
>> people, if not everyone. The "full" set makes the installer take much
>> longer and adds lots more files to the filesystem, so I'd rather not
>> make that the default.)
>> c. I'll probably integrate them into the regular installer as an
>> optional component, instead of putting them in a separate installer.
>> This means that the installer will be 48.5 MB in size with solid lzma
>> compression (compared to 56.0 MB with zlib compression.) However, in
>> 2014, I think that 48.5 MB is reasonable.
>
>
> How about this:
>
> We set up a new X2Go subproject called
>
>   x2go-xfonts.git
>
> This subproject contains _all_ extra fonts and mainly is an NSIS installer.
>
> This installer can be used to install those extra fonts into the correct
> directory for X2Go Client _and_ for PyHoca-GUI.
>
> The user/admin can install if he/she wants to install the fonts at both
> locations (%ProgramFiles%\x2golient, %ProgramFiles%\PyHoca-GUI) or only at
> one of them.
>
> The X2Go Client setup.exe should remain rather minimal IMHO.
>
>
>> Do not expect the permanent fix to arrive in time for 4.0.2.1.
>
>
> Absolutely fine!
>
>
[...]

As Mike#1 and agreed on IRC, I will put the fonts in the X2Go Client
installer as an optional component. These are the reasons:

1. Windows does not have a proper dependency system. So you can remove
x2goclient or pyhoca-gui without removing the fonts.
2. I have to maintain the mapping between x2goclient/pyhoca-gui
versions and the font package versions. This is because the fonts do
change with different VcXsrv releases
3. Users expect "all the dependencies and optional components" to be
in 1 installer on Windows. In fact, that is the recommendation for
Windows.

Also, we will close this bug once the fonts are in the X2Go Client installer.

-Mike#2